com.mysql.cj.util

## Class Base64Decoder

- java.lang.Object
- - com.mysql.cj.util.Base64Decoder

    public class Base64Decoder
    extends Object

This decoder implements standard Base64 decoding except it allows and silently ignores non-base64 input characters (spaces, line breaks etc) Note: Java 6+ provide standard decoders

### Nested Class Summary

Nested Classes
`static class` `Base64Decoder.IntWrapper`

### Field Summary

Fields
`private static byte[]` `decoderMap`

### Constructor Summary

Constructors
Constructor and Description
`Base64Decoder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `decode(byte[] in, int pos, int length)`
`private static byte` `getNextValidByte(byte[] in, Base64Decoder.IntWrapper pos, int maxPos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### decoderMap

    private static byte[] decoderMap

### Constructor Detail

#### Base64Decoder

    public Base64Decoder()

### Method Detail

#### getNextValidByte

    private static byte getNextValidByte(byte[] in,
                                         Base64Decoder.IntWrapper pos,
                                         int maxPos)

#### decode

    public static byte[] decode(byte[] in,
                                int pos,
                                int length)

Copyright © 2016, 2023, Oracle and/or its affiliates.